Bug 485241 - unaligned access in create_rcom and dlm_send_rcom_lock
unaligned access in create_rcom and dlm_send_rcom_lock
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
ia64 Linux
low Severity medium
: rc
: ---
Assigned To: David Teigland
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 10:50 EST by Nate Straz
Modified: 2009-09-03 12:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 15:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2009-02-12 10:50:34 EST
Description of problem:

While running regressions on kernel 2.6.18-128.1.1.el5 I spotted the following unaligned access warnings.

kernel unaligned access to 0xe0000040ea3c80bc, ip=0xa000000202f042d0
kernel unaligned access to 0xe0000040ea3c80b4, ip=0xa000000202f04850
kernel unaligned access to 0xe0000040ea3c81f4, ip=0xa000000202f042d0
kernel unaligned access to 0xe0000040ea3c81ec, ip=0xa000000202f04850
kernel unaligned access to 0xe0000040ea3c832c, ip=0xa000000202f042d0

crash> sym 0xa000000202f042d0
a000000202f042d0 (t) create_rcom+400
crash> sym 0xa000000202f04850
a000000202f04850 (t) dlm_send_rcom_lock+752

crash> dis create_rcom
0xa000000202f04140 <create_rcom>:       [MMI]       alloc r42=ar.pfs,16,12,0
0xa000000202f04141 <create_rcom+1>:                 adds r12=-16,r12
0xa000000202f04142 <create_rcom+2>:                 adds r39=48,r35
0xa000000202f04150 <create_rcom+16>:    [MMI]       mov r43=r1
0xa000000202f04151 <create_rcom+17>:                adds r14=384,r32
0xa000000202f04152 <create_rcom+18>:                mov r44=r33;;
0xa000000202f04160 <create_rcom+32>:    [MMI]       nop.m 0x0
0xa000000202f04161 <create_rcom+33>:                adds r47=16,r12
0xa000000202f04162 <create_rcom+34>:                mov r41=b0
0xa000000202f04170 <create_rcom+48>:    [MMB]       ld4 r46=[r14]
0xa000000202f04171 <create_rcom+49>:                mov r45=r39
0xa000000202f04172 <create_rcom+50>:                br.call.sptk.many b0=0xa0000
00202effd80 <dlm_lowcomms_get_buffer>;;
0xa000000202f04180 <create_rcom+64>:    [MMI]       adds r40=1160,r32
0xa000000202f04181 <create_rcom+65>:                mov r1=r43
0xa000000202f04182 <create_rcom+66>:                mov r47=r35
0xa000000202f04190 <create_rcom+80>:    [MMI]       mov r45=r0
0xa000000202f04191 <create_rcom+81>:                mov r35=r8
0xa000000202f04192 <create_rcom+82>:                sxt4 r46=r39;;
0xa000000202f041a0 <create_rcom+96>:    [MMI]       nop.m 0x0
0xa000000202f041a1 <create_rcom+97>:                addl r44=7160,r1
0xa000000202f041a2 <create_rcom+98>:                cmp.eq p7,p6=0,r8
0xa000000202f041b0 <create_rcom+112>:   [MMB]       nop.m 0x0
0xa000000202f041b1 <create_rcom+113>:               nop.m 0x0
0xa000000202f041b2 <create_rcom+114>:         (p06) br.cond.sptk.few 0xa00000020
2f041f0;;
0xa000000202f041c0 <create_rcom+128>:   [MMI]       add r44=r0,r44
0xa000000202f041c1 <create_rcom+129>:               nop.m 0x0
0xa000000202f041c2 <create_rcom+130>:               nop.i 0x0
0xa000000202f041d0 <create_rcom+144>:   [MIB]       mov r45=r33
0xa000000202f041d1 <create_rcom+145>:               mov r46=r34
0xa000000202f041d2 <create_rcom+146>:               br.call.sptk.many b0=0xa0000
00202f0e160;;
0xa000000202f041e0 <create_rcom+160>:   [MIB]       mov r1=r43
0xa000000202f041e1 <create_rcom+161>:               mov r8=-105
0xa000000202f041e2 <create_rcom+162>:               br.few 0xa000000202f04310
0xa000000202f041f0 <create_rcom+176>:   [MMI]       nop.m 0x0
0xa000000202f041f1 <create_rcom+177>:               adds r22=16,r12
0xa000000202f041f2 <create_rcom+178>:               nop.i 0x0;;
0xa000000202f04200 <create_rcom+192>:   [MIB]       ld8 r44=[r22]
0xa000000202f04201 <create_rcom+193>:               nop.i 0x0
0xa000000202f04202 <create_rcom+194>:               br.call.sptk.many b0=0xa0000
00202f0e560;;
0xa000000202f04210 <create_rcom+208>:   [MMI]       mov r1=r43
0xa000000202f04211 <create_rcom+209>:               adds r21=16,r12
0xa000000202f04212 <create_rcom+210>:               mov r20=196608
0xa000000202f04220 <create_rcom+224>:   [MMI]       adds r19=24,r32;;
0xa000000202f04221 <create_rcom+225>:               ld8 r38=[r21]
0xa000000202f04222 <create_rcom+226>:               nop.i 0x0;;
0xa000000202f04230 <create_rcom+240>:   [MMI]       mov r11=r38;;
0xa000000202f04231 <create_rcom+241>:               st4 [r11]=r20,4
0xa000000202f04232 <create_rcom+242>:               nop.i 0x0
0xa000000202f04240 <create_rcom+256>:   [MII]       ld4 r18=[r19]
0xa000000202f04241 <create_rcom+257>:               nop.i 0x0;;
0xa000000202f04242 <create_rcom+258>:               nop.i 0x0
0xa000000202f04250 <create_rcom+272>:   [MIB]       st4 [r11]=r18
0xa000000202f04251 <create_rcom+273>:               nop.i 0x0
0xa000000202f04252 <create_rcom+274>:               br.call.sptk.many b0=0xa0000
00202ee0bc0 <dlm_our_nodeid>;;
0xa000000202f04260 <create_rcom+288>:   [MMI]       mov r1=r43
0xa000000202f04261 <create_rcom+289>:               adds r10=8,r38
0xa000000202f04262 <create_rcom+290>:               adds r9=12,r38
0xa000000202f04270 <create_rcom+304>:   [MMI]       adds r16=14,r38
0xa000000202f04271 <create_rcom+305>:               adds r17=16,r38
0xa000000202f04272 <create_rcom+306>:               mov r44=r40;;
0xa000000202f04280 <create_rcom+320>:   [MMI]       nop.m 0x0
0xa000000202f04281 <create_rcom+321>:               st4 [r10]=r8
0xa000000202f04282 <create_rcom+322>:               mov r8=2
0xa000000202f04290 <create_rcom+336>:   [MMI]       st2 [r9]=r39;;
0xa000000202f04291 <create_rcom+337>:               st1 [r16]=r8
0xa000000202f04292 <create_rcom+338>:               nop.i 0x0
0xa000000202f042a0 <create_rcom+352>:   [MIB]       st4 [r17]=r34
0xa000000202f042a1 <create_rcom+353>:               nop.i 0x0
0xa000000202f042a2 <create_rcom+354>:               br.call.sptk.many b0=0xa0000
00202f0e0c0;;
0xa000000202f042b0 <create_rcom+368>:   [MMI]       mov r1=r43
0xa000000202f042b1 <create_rcom+369>:               adds r3=1184,r32
0xa000000202f042b2 <create_rcom+370>:               adds r15=32,r38;;
0xa000000202f042c0 <create_rcom+384>:   [MMI]       ld8 r2=[r3]
0xa000000202f042c1 <create_rcom+385>:               nop.m 0x0
0xa000000202f042c2 <create_rcom+386>:               nop.i 0x0;;
0xa000000202f042d0 <create_rcom+400>:   [MMI]       st8 [r15]=r2 <-- HERE
0xa000000202f042d1 <create_rcom+401>:               nop.m 0x0
0xa000000202f042d2 <create_rcom+402>:               nop.i 0x0;;
0xa000000202f042e0 <create_rcom+416>:   [MII]       st4.rel.nta [r40]=r0
0xa000000202f042e1 <create_rcom+417>:               nop.i 0x0
0xa000000202f042e2 <create_rcom+418>:               nop.i 0x0;;
0xa000000202f042f0 <create_rcom+432>:   [MMI]       mov r8=r0
0xa000000202f042f1 <create_rcom+433>:               st8 [r37]=r35
0xa000000202f042f2 <create_rcom+434>:               nop.i 0x0
0xa000000202f04300 <create_rcom+448>:   [MMI]       st8 [r36]=r38
0xa000000202f04301 <create_rcom+449>:               nop.m 0x0
0xa000000202f04302 <create_rcom+450>:               nop.i 0x0
0xa000000202f04310 <create_rcom+464>:   [MII]       nop.m 0x0
0xa000000202f04311 <create_rcom+465>:               mov.i ar.pfs=r42
0xa000000202f04312 <create_rcom+466>:               mov b0=r41
0xa000000202f04320 <create_rcom+480>:   [MIB]       nop.m 0x0
0xa000000202f04321 <create_rcom+481>:               adds r12=16,r12
0xa000000202f04322 <create_rcom+482>:               br.ret.sptk.many b0;;
0xa000000202f04330 <create_rcom+496>:   [MMI]       nop.m 0x0
0xa000000202f04331 <create_rcom+497>:               nop.m 0x0
0xa000000202f04332 <create_rcom+498>:               nop.i 0x0

crash> dis dlm_send_rcom_lock
0xa000000202f04560 <dlm_send_rcom_lock>:        [MMI]       alloc r40=ar.pfs,16,
10,0
0xa000000202f04561 <dlm_send_rcom_lock+1>:                  adds r12=-16,r12
0xa000000202f04562 <dlm_send_rcom_lock+2>:                  mov r39=b0
0xa000000202f04570 <dlm_send_rcom_lock+16>:     [MMI]       adds r3=184,r33
0xa000000202f04571 <dlm_send_rcom_lock+17>:                 ld8 r36=[r32]
0xa000000202f04572 <dlm_send_rcom_lock+18>:                 mov r41=r1;;
0xa000000202f04580 <dlm_send_rcom_lock+32>:     [MMI]       ld8 r2=[r3]
0xa000000202f04581 <dlm_send_rcom_lock+33>:                 adds r38=24,r12
0xa000000202f04582 <dlm_send_rcom_lock+34>:                 mov r42=r36
0xa000000202f04590 <dlm_send_rcom_lock+48>:     [MII]       mov r44=4
0xa000000202f04591 <dlm_send_rcom_lock+49>:                 adds r46=16,r12;;
0xa000000202f04592 <dlm_send_rcom_lock+50>:                 cmp.eq p9,p8=0,r2
0xa000000202f045a0 <dlm_send_rcom_lock+64>:     [MMI]       mov r47=r38;;
0xa000000202f045a1 <dlm_send_rcom_lock+65>:           (p08) adds r14=36,r36
0xa000000202f045a2 <dlm_send_rcom_lock+66>:           (p09) mov r45=108;;
0xa000000202f045b0 <dlm_send_rcom_lock+80>:     [MMI] (p08) ld4 r14=[r14];;
0xa000000202f045b1 <dlm_send_rcom_lock+81>:           (p08) adds r45=108,r14
0xa000000202f045b2 <dlm_send_rcom_lock+82>:                 adds r14=52,r32;;
0xa000000202f045c0 <dlm_send_rcom_lock+96>:     [MIB]       ld4 r43=[r14]
0xa000000202f045c1 <dlm_send_rcom_lock+97>:                 nop.i 0x0
0xa000000202f045c2 <dlm_send_rcom_lock+98>:                 br.call.sptk.many b0
=0xa000000202f04140 <create_rcom>;;
0xa000000202f045d0 <dlm_send_rcom_lock+112>:    [MMI]       nop.m 0x0
0xa000000202f045d1 <dlm_send_rcom_lock+113>:                mov r37=r8
0xa000000202f045d2 <dlm_send_rcom_lock+114>:                mov r1=r41
0xa000000202f045e0 <dlm_send_rcom_lock+128>:    [MMB]       nop.m 0x0
0xa000000202f045e1 <dlm_send_rcom_lock+129>:                cmp4.eq p7,p6=0,r8
0xa000000202f045e2 <dlm_send_rcom_lock+130>:          (p06) br.cond.dptk.few 0xa
000000202f04880
0xa000000202f045f0 <dlm_send_rcom_lock+144>:    [MMI]       adds r10=16,r12
0xa000000202f045f1 <dlm_send_rcom_lock+145>:                mov r43=r0
0xa000000202f045f2 <dlm_send_rcom_lock+146>:                mov r44=108;;
0xa000000202f04600 <dlm_send_rcom_lock+160>:    [MMI]       ld8 r35=[r10];;
0xa000000202f04601 <dlm_send_rcom_lock+161>:                adds r34=48,r35
0xa000000202f04602 <dlm_send_rcom_lock+162>:                nop.i 0x0;;
0xa000000202f04610 <dlm_send_rcom_lock+176>:    [MIB]       mov r42=r34
0xa000000202f04611 <dlm_send_rcom_lock+177>:                nop.i 0x0
0xa000000202f04612 <dlm_send_rcom_lock+178>:                br.call.sptk.many b0
=0xa000000202f0e560;;
0xa000000202f04620 <dlm_send_rcom_lock+192>:    [MMI]       mov r1=r41
0xa000000202f04621 <dlm_send_rcom_lock+193>:                adds r9=16,r33
0xa000000202f04622 <dlm_send_rcom_lock+194>:                adds r15=20,r33
0xa000000202f04630 <dlm_send_rcom_lock+208>:    [MMI]       adds r8=52,r35
0xa000000202f04631 <dlm_send_rcom_lock+209>:                adds r3=28,r33
0xa000000202f04632 <dlm_send_rcom_lock+210>:                adds r2=68,r35;;
0xa000000202f04640 <dlm_send_rcom_lock+224>:    [MMI]       ld4 r16=[r9]
0xa000000202f04641 <dlm_send_rcom_lock+225>:                adds r30=36,r33
0xa000000202f04642 <dlm_send_rcom_lock+226>:                adds r47=72,r35
0xa000000202f04650 <dlm_send_rcom_lock+240>:    [MMI]       adds r46=40,r33
0xa000000202f04651 <dlm_send_rcom_lock+241>:                adds r45=76,r35
0xa000000202f04652 <dlm_send_rcom_lock+242>:                adds r25=45,r33;;
0xa000000202f04660 <dlm_send_rcom_lock+256>:    [MMI]       st4 [r34]=r16
0xa000000202f04661 <dlm_send_rcom_lock+257>:                adds r26=84,r35
0xa000000202f04662 <dlm_send_rcom_lock+258>:                adds r43=46,r33
0xa000000202f04670 <dlm_send_rcom_lock+272>:    [MMI]       adds r42=85,r35
0xa000000202f04671 <dlm_send_rcom_lock+273>:                adds r34=44,r33
0xa000000202f04672 <dlm_send_rcom_lock+274>:                adds r31=86,r35
0xa000000202f04680 <dlm_send_rcom_lock+288>:    [MMI]       ld4 r44=[r15]
0xa000000202f04681 <dlm_send_rcom_lock+289>:                adds r19=49,r33
0xa000000202f04682 <dlm_send_rcom_lock+290>:                adds r20=88,r35
0xa000000202f04690 <dlm_send_rcom_lock+304>:    [MMI]       adds r21=208,r33
0xa000000202f04691 <dlm_send_rcom_lock+305>:                adds r11=200,r33
0xa000000202f04692 <dlm_send_rcom_lock+306>:                adds r16=90,r35;;
0xa000000202f046a0 <dlm_send_rcom_lock+320>:    [MMI]       st4 [r8]=r44
0xa000000202f046a1 <dlm_send_rcom_lock+321>:                ld4 r14=[r3]
0xa000000202f046a2 <dlm_send_rcom_lock+322>:                nop.i 0x0;;
0xa000000202f046b0 <dlm_send_rcom_lock+336>:    [MMI]       st4 [r2]=r14
0xa000000202f046b1 <dlm_send_rcom_lock+337>:                ld4 r29=[r30]
0xa000000202f046b2 <dlm_send_rcom_lock+338>:                nop.i 0x0;;
0xa000000202f046c0 <dlm_send_rcom_lock+352>:    [MMI]       st4 [r47]=r29
0xa000000202f046c1 <dlm_send_rcom_lock+353>:                ld4 r28=[r46]
0xa000000202f046c2 <dlm_send_rcom_lock+354>:                nop.i 0x0;;
0xa000000202f046d0 <dlm_send_rcom_lock+368>:    [MMI]       st4 [r45]=r28
0xa000000202f046d1 <dlm_send_rcom_lock+369>:                ld1 r27=[r25]
0xa000000202f046d2 <dlm_send_rcom_lock+370>:                nop.i 0x0;;
0xa000000202f046e0 <dlm_send_rcom_lock+384>:    [MMI]       st1 [r26]=r27
0xa000000202f046e1 <dlm_send_rcom_lock+385>:                ld1 r24=[r43]
0xa000000202f046e2 <dlm_send_rcom_lock+386>:                adds r43=216,r32;;
0xa000000202f046f0 <dlm_send_rcom_lock+400>:    [MMI]       st1 [r42]=r24
0xa000000202f046f1 <dlm_send_rcom_lock+401>:                adds r42=92,r35
0xa000000202f046f2 <dlm_send_rcom_lock+402>:                nop.i 0x0
0xa000000202f04700 <dlm_send_rcom_lock+416>:    [MMI]       ld1 r23=[r34];;
0xa000000202f04701 <dlm_send_rcom_lock+417>:                st1 [r31]=r23
0xa000000202f04702 <dlm_send_rcom_lock+418>:                nop.i 0x0
0xa000000202f04710 <dlm_send_rcom_lock+432>:    [MMI]       ld1 r22=[r19];;
0xa000000202f04711 <dlm_send_rcom_lock+433>:                nop.m 0x0
0xa000000202f04712 <dlm_send_rcom_lock+434>:                sxt1 r18=r22;;
0xa000000202f04720 <dlm_send_rcom_lock+448>:    [MMI]       st2 [r20]=r18
0xa000000202f04721 <dlm_send_rcom_lock+449>:                ld8 r17=[r21]
0xa000000202f04722 <dlm_send_rcom_lock+450>:                nop.i 0x0;;
0xa000000202f04730 <dlm_send_rcom_lock+464>:    [MII]       nop.m 0x0
0xa000000202f04731 <dlm_send_rcom_lock+465>:                cmp.eq p14,p15=0,r17
;;
0xa000000202f04732 <dlm_send_rcom_lock+466>:          (p15) adds r15=87,r35;;
0xa000000202f04740 <dlm_send_rcom_lock+480>:    [MMI] (p15) ld1 r14=[r15];;
0xa000000202f04741 <dlm_send_rcom_lock+481>:          (p15) or r14=2,r14
0xa000000202f04742 <dlm_send_rcom_lock+482>:                nop.i 0x0;;
0xa000000202f04750 <dlm_send_rcom_lock+496>:    [MMI] (p15) st1 [r15]=r14
0xa000000202f04751 <dlm_send_rcom_lock+497>:                ld8 r10=[r11]
0xa000000202f04752 <dlm_send_rcom_lock+498>:                nop.i 0x0;;
0xa000000202f04760 <dlm_send_rcom_lock+512>:    [MII]       nop.m 0x0
0xa000000202f04761 <dlm_send_rcom_lock+513>:                cmp.eq p12,p13=0,r10
;;
0xa000000202f04762 <dlm_send_rcom_lock+514>:                nop.i 0x0
0xa000000202f04770 <dlm_send_rcom_lock+528>:    [MMI] (p13) adds r15=87,r35;;
0xa000000202f04771 <dlm_send_rcom_lock+529>:          (p13) ld1 r14=[r15]
0xa000000202f04772 <dlm_send_rcom_lock+530>:                nop.i 0x0;;
0xa000000202f04780 <dlm_send_rcom_lock+544>:    [MMI] (p13) or r14=1,r14;;
0xa000000202f04781 <dlm_send_rcom_lock+545>:          (p13) st1 [r15]=r14
0xa000000202f04782 <dlm_send_rcom_lock+546>:                adds r15=48,r32;;
0xa000000202f04790 <dlm_send_rcom_lock+560>:    [MMI]       ld4 r9=[r15];;
0xa000000202f04791 <dlm_send_rcom_lock+561>:                st2 [r16]=r9
0xa000000202f04792 <dlm_send_rcom_lock+562>:                nop.i 0x0
0xa000000202f047a0 <dlm_send_rcom_lock+576>:    [MII]       ld4 r44=[r15]
0xa000000202f047a1 <dlm_send_rcom_lock+577>:                nop.i 0x0;;
0xa000000202f047a2 <dlm_send_rcom_lock+578>:                sxt4 r44=r44
0xa000000202f047b0 <dlm_send_rcom_lock+592>:    [MMB]       nop.m 0x0
0xa000000202f047b1 <dlm_send_rcom_lock+593>:                nop.m 0x0
0xa000000202f047b2 <dlm_send_rcom_lock+594>:                br.call.sptk.many b0
=0xa000000202f0e200;;
0xa000000202f047c0 <dlm_send_rcom_lock+608>:    [MMI]       adds r42=156,r35
0xa000000202f047c1 <dlm_send_rcom_lock+609>:                adds r8=184,r33
0xa000000202f047c2 <dlm_send_rcom_lock+610>:                mov r1=r41;;
0xa000000202f047d0 <dlm_send_rcom_lock+624>:    [MMI]       ld8 r43=[r8];;
0xa000000202f047d1 <dlm_send_rcom_lock+625>:                nop.m 0x0
0xa000000202f047d2 <dlm_send_rcom_lock+626>:                cmp.eq p10,p11=0,r43
0xa000000202f047e0 <dlm_send_rcom_lock+640>:    [MMB]       nop.m 0x0
0xa000000202f047e1 <dlm_send_rcom_lock+641>:                nop.m 0x0
0xa000000202f047e2 <dlm_send_rcom_lock+642>:          (p10) br.cond.dpnt.few 0xa
000000202f04830
0xa000000202f047f0 <dlm_send_rcom_lock+656>:    [MMI]       ld8 r11=[r32];;
0xa000000202f047f1 <dlm_send_rcom_lock+657>:                adds r33=36,r11
0xa000000202f047f2 <dlm_send_rcom_lock+658>:                nop.i 0x0;;
0xa000000202f04800 <dlm_send_rcom_lock+672>:    [MII]       ld4 r35=[r33]
0xa000000202f04801 <dlm_send_rcom_lock+673>:                nop.i 0x0;;
0xa000000202f04802 <dlm_send_rcom_lock+674>:                sxt4 r44=r35
0xa000000202f04810 <dlm_send_rcom_lock+688>:    [MMB]       nop.m 0x0
0xa000000202f04811 <dlm_send_rcom_lock+689>:                nop.m 0x0
0xa000000202f04812 <dlm_send_rcom_lock+690>:                br.call.sptk.many b0
=0xa000000202f0e200;;
0xa000000202f04820 <dlm_send_rcom_lock+704>:    [MMI]       mov r1=r41
0xa000000202f04821 <dlm_send_rcom_lock+705>:                nop.m 0x0
0xa000000202f04822 <dlm_send_rcom_lock+706>:                nop.i 0x0
0xa000000202f04830 <dlm_send_rcom_lock+720>:    [MMI]       mov r42=r36
0xa000000202f04831 <dlm_send_rcom_lock+721>:                nop.m 0x0
0xa000000202f04832 <dlm_send_rcom_lock+722>:                adds r36=16,r12;;
0xa000000202f04840 <dlm_send_rcom_lock+736>:    [MMI]       ld8 r21=[r36];;
0xa000000202f04841 <dlm_send_rcom_lock+737>:                adds r17=24,r21
0xa000000202f04842 <dlm_send_rcom_lock+738>:                nop.i 0x0;;
0xa000000202f04850 <dlm_send_rcom_lock+752>:    [MMI]       st8 [r17]=r32 <-HERE
0xa000000202f04851 <dlm_send_rcom_lock+753>:                ld8 r43=[r38]
0xa000000202f04852 <dlm_send_rcom_lock+754>:                nop.i 0x0
0xa000000202f04860 <dlm_send_rcom_lock+768>:    [MMB]       ld8 r44=[r36]
0xa000000202f04861 <dlm_send_rcom_lock+769>:                nop.m 0x0
0xa000000202f04862 <dlm_send_rcom_lock+770>:                br.call.sptk.many b0
=0xa000000202f04500 <send_rcom>;;
0xa000000202f04870 <dlm_send_rcom_lock+784>:    [MMI]       mov r1=r41
0xa000000202f04871 <dlm_send_rcom_lock+785>:                nop.m 0x0
0xa000000202f04872 <dlm_send_rcom_lock+786>:                nop.i 0x0
0xa000000202f04880 <dlm_send_rcom_lock+800>:    [MII]       mov r8=r37
0xa000000202f04881 <dlm_send_rcom_lock+801>:                mov.i ar.pfs=r40
0xa000000202f04882 <dlm_send_rcom_lock+802>:                mov b0=r39
0xa000000202f04890 <dlm_send_rcom_lock+816>:    [MIB]       nop.m 0x0
0xa000000202f04891 <dlm_send_rcom_lock+817>:                adds r12=16,r12
0xa000000202f04892 <dlm_send_rcom_lock+818>:                br.ret.sptk.many b0;
;


Version-Release number of selected component (if applicable):
kernel-2.6.18-128.1.1.el5

How reproducible:
Easily, seen during coherency test.

Steps to Reproduce:
1. run coherency on a cluster with an ia64 node
  
Actual results:
See above

Expected results:
No unaligned access warnings

Additional info:
Comment 1 David Teigland 2009-02-12 11:27:04 EST
These both appear to be complaining about rc-> accesses, which is memory
returned by dlm_lowcomms_get_buffer().  That function hasn't changed in
ages, so I'm guessing that this isn't a new warning.  It does play some
rather fancy games with memory buffers, though.  CC'ing Chrissie and Fabio
since they have resolved previous alignment issues.
Comment 2 David Teigland 2009-05-01 15:30:36 EDT
We should look at fixing this sometime, but probably in the context of other work on that code.  I don't think the warnings alone justify the amount of work or code change that would be necessary.
Comment 3 Fabio Massimo Di Nitto 2009-05-03 23:42:31 EDT
I think we already fixed those warnings on recent dlm code but I could verify ia64 soonish.

The only problem on ia64 is a performance hit on that code path and everything that uses those unaligned buffers (with default settings).
Depending on some kernel options, those warnings could be turned into fatal error on ia64.

They are fatal on some not supported architectures.

Fabio

Note You need to log in before you can comment on or make changes to this bug.